Bug 198800 - gdb breaks on x86_64
gdb breaks on x86_64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Alexandre Oliva
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 13:04 EDT by John Ellson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: gdb-6.5-3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 16:04:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2006-07-13 13:04:26 EDT
Description of problem:
This GDB was configured as "x86_64-redhat-linux-gnu"...BFD:
/home/ellson/helloworld/hello: don't know how to handle OS specific section
`.gnu.hash' [0x6ffffff6]
"/home/ellson/helloworld/hello": not in executable format: File format not
recognized


Version-Release number of selected component (if applicable):
gdb-6.5-2.fc6

How reproducible:
100%


Steps to Reproduce:
1.echo "int main(void) {return 0;}" >x.c
2.gcc x.c -o x
3.gdb x
  
Actual results:
GNU gdb Red Hat Linux (6.5-2.fc6rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...BFD:
/home/ellson/helloworld/x: don't know how to handle OS specific section
`.gnu.hash' [0x6ffffff6]
"/home/ellson/helloworld/x": not in executable format: File format not recognized


Expected results:


Additional info:
gdb-6.3.0.0-1.132.FC6 works OK.
Comment 1 Jan Kratochvil 2006-08-26 14:44:28 EDT
Thanks for the report, it was more a release scheduling mishap, though.

It should be fixed in gdb-6.5-3:
* Thu Jul 13 2006 Alexandre Oliva <aoliva@redhat.com> - 6.5-3
- Backport support for .gnu.hash sections.

Please CLOSE the bug if appropriate.

Note You need to log in before you can comment on or make changes to this bug.